Page MenuHomePhabricator

starting a translation from Norwegian Bokmal to another language using the interlanguage entry point fails because of wrong code
Closed, ResolvedPublic1 Story Points

Description

To reproduce:

Observed:

It works correctly when going to Special:CX in the Polish Wikipedia selecting the language from the list and typing the article title.

Event Timeline

Amire80 created this task.May 30 2015, 11:06 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to High.
Amire80 added projects: I18n, ContentTranslation.
Amire80 set Security to None.
Amire80 added subscribers: KartikMistry, Ricordisamoa, Arrbee and 4 others.
santhosh edited a custom field.Jun 10 2015, 8:01 AM
Arrbee lowered the priority of this task from High to Normal.Jun 10 2015, 9:50 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:12 PM
Amire80 raised the priority of this task from Normal to High.Jul 2 2015, 12:52 PM
Amire80 edited a custom field.
Arrbee edited a custom field.Jul 21 2015, 5:53 PM
Amire80 raised the priority of this task from High to Unbreak Now!.Aug 10 2015, 5:00 AM
Amire80 lowered the priority of this task from Unbreak Now! to High.

Change 230501 had a related patch set uploaded (by KartikMistry):
Remove specialCodes for Norwegian

https://gerrit.wikimedia.org/r/230501

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 2 board.Aug 12 2015, 7:08 AM

Change 230501 abandoned by KartikMistry:
Remove specialCodes for Norwegian

https://gerrit.wikimedia.org/r/230501

Amire80 claimed this task.Aug 25 2015, 4:05 PM

Change 233735 had a related patch set uploaded (by Amire80):
Load the aricle from the correct domain

https://gerrit.wikimedia.org/r/233735

Arrbee moved this task from Backlog to In Review on the LE-CX6-Sprint 3 board.Aug 26 2015, 11:56 AM

Unable to reproduce, I see from=no.

In any case, I can reproduce the issue by starting translation from vro via Special:CX. Appropriate fix is along the lines of adding a code mapping to ContentTranslationSource.prototype.fetchPage.

Nikerabbit updated the task description. (Show Details)Aug 27 2015, 11:29 AM
Nikerabbit removed projects: Patch-For-Review, I18n.
Nikerabbit moved this task from In Review to In Progress on the LE-CX6-Sprint 3 board.

Which is exactly what Amir did in the patch ;)

Nikerabbit moved this task from In Progress to Done on the LE-CX6-Sprint 3 board.Aug 27 2015, 11:40 AM

Change 233735 merged by jenkins-bot:
Load the source article from the correct domain

https://gerrit.wikimedia.org/r/233735

Amire80 closed this task as Resolved.Sep 4 2015, 6:12 AM

Verified in production.